Summary: 	Send network traffic through virtual tunnels to improve your privacy
Name: 		tor
Version: 	0.2.1.26
Release: 	1.8
License: 	BSD
Group: 		Applications/Internet

Source: 	http://tor.eff.org/dist/tor-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: 	libevent-devel zlib-devel automake autoconf openssl-devel

%description
Tor is a network of virtual tunnels that allows people and groups to improve
their privacy and security on the Internet. It also enables software
developers to create new communication tools with built-in privacy features.
It provides the foundation for a range of applications that allow
organizations and individuals to share information over public networks
without compromising their privacy. Individuals can use it to keep remote
Websites from tracking them and their family members. They can also use it
to connect to resources such as news sites or instant messaging services
that are blocked by their local Internet service providers (ISPs).

%prep
%setup

%build
export CPPFLAGS="-I/usr/kerberos/include"
%configure --with-tor-user="%{toruser}" --with-tor-group="%{torgroup}"
make
perl -pi -e "s|# chkconfig: 2345|# chkconfig: -|g;" contrib/tor.sh

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"
install -Dp -m755 contrib/torctl %{buildroot}%{_bindir}/torctl
install -Dp -m755 contrib/tor.sh %{buildroot}%{_initrddir}/tor
install -Dp -m644 contrib/tor.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/tor
mv -f %{buildroot}%{_sysconfdir}/tor/torrc.sample %{buildroot}%{_sysconfdir}/tor/torrc
install -d %{buildroot}%{_localstatedir}/lib/tor/
install -d %{buildroot}%{_localstatedir}/log/tor/
install -d %{buildroot}%{_localstatedir}/run/tor/

%clean
rm -rf %{buildroot}

%pre
/usr/sbin/groupadd %{torgroup} 2> /dev/null || :
/usr/sbin/useradd -c "Tor user" -g %{torgroup} -s /bin/false -r -d %{_localstatedir}/lib/tor %{toruser} 2>/dev/null || :

%post
if [ $1 -eq 1 ]; then
    /sbin/chkconfig --add tor
fi
chown -R %{toruser}.%{torgroup} %{_localstatedir}/lib/tor %{_localstatedir}/run/tor %{_localstatedir}/log/tor || :

%preun
if [ $1 -eq 0 ]; then
   /sbin/service tor stop || :
   /sbin/chkconfig --del tor
fi

%postun
/sbin/service tor condrestart &>/dev/null || :

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog INSTALL LICENSE README
%doc %{_mandir}/man?/*
%config %{_initrddir}/tor
%config(noreplace) %{_sysconfdir}/logrotate.d/tor
%{_bindir}/*
%dir %{_datadir}/tor/
%{_datadir}/tor/geoip

%defattr(-, root, %{torgroup}, 0750)
%dir %{_sysconfdir}/tor/

%defattr(-, root, %{torgroup}, 0640)
%config(noreplace) %{_sysconfdir}/tor/tor-tsocks.conf
%config(noreplace) %{_sysconfdir}/tor/torrc

%defattr(-, %{toruser}, %{torgroup}, 0700)
%dir %{_localstatedir}/lib/tor

%defattr(-, %{toruser}, %{torgroup}, 0750)
%dir %{_localstatedir}/run/tor
%dir %{_localstatedir}/log/tor

%changelog
